Subject: bug#13321: 24.3.0.50; Gmail error when replying from Gnus to github

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 22 Feb 2013 11:06:42 +0100

Hi Katsumi,

Katsumi Yamaoka <[email-masked]> writes:

> Please let me say that a wide reply doesn't contain the author
> of an original mail in the recipient list is a bug.  To exclude
> an invalid address from a wide reply is not a feature;

It is not excluded in the patch, it is added to "cc" only if "wide" is
specified.

> that is a rare exception that the poison is efficacious.  Please
> imagine, a wide reply to your mail doesn't go to you only:
>
> (You send a mail)
>
> From: Thierry Volpiatto
> To: emacs-devel
> Cc: Lars
> Reply-To: emacs-devel
>
> (I reply to your mail)
>
> -> From: Katsumi Yamaoka
>    To: emacs-devel
>    Cc: Lars
>    Reply-To: emacs-devel
>
> (You reply to my reply that you happen to find in Gmane)
>
> -> From: Thierry Volpiatto
>    To: emacs-devel
>    Cc: Lars
>    Reply-To: emacs-devel
>
> (I don't notice it)

Please have a look at the mail examples I sent in other posts.

> Though the emacs-devel list doesn't add Reply-To, not a few lists
> do it.  I don't think that GitHub doesn't use a valid address in
> the From header is a bad manner.  But it should have a valid
> Reply-To if it allows a mail reply,

It have a valid "Reply-To" and with the patch I sent it is used instead
of "from".

> or should have something like a link to a web form.
>
>>> Otherwise, feel free to forward an example mail to me.
>> Will (re)send in next post.
>
> Have you sent it already?  If so, it may be delayed or...
> Anyway I don't need it now, maybe.
>
>> Here a patch that fix the problem, please review, I am not familiar with
>> all these mails headers.
>
> Unfortunately it's a regression. :(
Don't know, but it is better than receiving warning mails from gmail
like this:

From: Mail Delivery Subsystem <[email-masked]>
Subject: Delivery Status Notification (Failure)

Which is not an improvement IMO.

Note that with the current state it is impossible to reply with Gnus on
github with `R' `F' or whatever without beeing rejected; 
The patch I sent fix this.

The point is that with the patch I sent + the headers of the rejected
mail and the original mail where I reply to, you will be able to
understand what happen and fix it.

Thanks.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997